# $Revision: 1.12 $, $Date: 2011/09/27 21:44:51 $
%define		pkgname	haskeline
Summary:	A command-line interface for user input, written in Haskell
Name:		ghc-%{pkgname}
Version:	0.6.4.3
Release:	1
License:	BSD
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	93d2f523608341cd56293edda00c4623
URL:		http://hackage.haskell.org/package/haskeline/
BuildRequires:	ghc >= 6.12.3
BuildRequires:	ghc-mtl
BuildRequires:	ghc-utf8-string >= 0.3.6
BuildRequires:	gmp-devel
BuildRequires:	rpmbuild(macros) >= 1.608
Requires:	ghc-mtl
Requires:	ghc-utf8-string >= 0.3.6
%requires_eq	ghc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

%description
Haskeline provides a user interface for line input in command-line
programs. This library is similar in purpose to readline, but since it
is written in Haskell it is (hopefully) more easily used in other
Haskell programs.

%package doc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation

%description doc
HTML documentation for %{pkgname}.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.hs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.hs build
runhaskell Setup.hs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.hs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
rm -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc

runhaskell Setup.hs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%doc CHANGES
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ghc-haskeline.spec,v $
Revision 1.12  2011/09/27 21:44:51  baggins
- 0.6.4.3

Revision 1.11  2011/03/01 06:26:36  glen
- missing doc

Revision 1.10  2011/02/28 09:27:22  glen
- update packaging, %requires_eq dep on ghc

Revision 1.9  2011/02/24 11:32:09  glen
- release 4

Revision 1.8  2011/02/24 11:09:04  glen
- use %ghc_pkg_recache macro; make url copyable; %ghcdir in rpmbuild macros

Revision 1.7  2010/08/28 00:16:46  baggins
- rel 3
- BR/R ghc-mtl

Revision 1.6  2010/08/28 00:06:36  baggins
- release 2

Revision 1.5  2010/08/28 00:04:15  baggins
- requires_releq due to very unique ids in packages built with ghc 6.12+

Revision 1.4  2010/08/27 20:50:57  baggins
- 0.6.2.3

Revision 1.3  2010/08/27 20:29:23  baggins
- updated packaging to new template (ghc 6.12.3+)

Revision 1.2  2010/05/15 23:56:44  sparky
- BR: gmp-devel (this probably should be required in ghc)

Revision 1.1  2010/04/10 16:37:24  baggins
- initial revision

